> ## Documentation Index
> Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Unlocker & SERP REST API Playground



## OpenAPI

````yaml unlocker-rest-api POST /request
openapi: 3.0.1
info:
  title: Brightdata API
  description: >-
    Integrate Bright Data APIs to your pipeline and secure high-end scraping
    precision
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /request:
    post:
      parameters:
        - in: query
          name: async
          description: Set this to `true` for asynchronous
          required: false
          schema:
            type: boolean
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostBody'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTP200'
        '400':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTP400'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTP401'
components:
  schemas:
    PostBody:
      required:
        - zone
        - url
        - format
      type: object
      properties:
        zone:
          description: Name of the proxy zone which will service your request.
          type: string
        url:
          description: Target URL for your request.
          type: string
        format:
          description: |-
            Format for requesting a raw HTML via proxy is `raw`.

            Format for request a JSON response is `json`.
          type: string
          enum:
            - raw
            - json
        method:
          description: Method for requesting an HTML via proxy is `GET`.
          type: string
          default: GET
        country:
          description: Country code of proxy which request is relayed through.
          type: string
    HTTP200:
      type: string
      example: OK
    HTTP400:
      type: string
      example: Bad Request
    HTTP401:
      type: string
      example: User authentication is required
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````